[Introduction](#introduction)
[Lancer le jeu depuis l’éditeur](#lancer-le-jeu-depuis-léditeur)
[Modifier le niveau existant](#modifier-le-niveau-existant)
[Créer un autre niveau](#créer-un-autre-niveau)
[Pouvoir scroller les planètes](#pouvoir-scroller-les-planètes)
[Changer l’image de la raquette](#changer-limage-de-la-raquette)
[Changer la couleur de la raquette](#changer-la-couleur-de-la-raquette)
[Avoir un nombre limité de balles](#avoir-un-nombre-limité-de-balles)
[Afficher le compteur de balles](#afficher-le-compteur-de-balles)
[Afficher un écran de game over](#afficher-un-écran-de-game-over)
[Afficher un écran de victoire](#afficher-un-écran-de-victoire)
[Faire accélérer la balle](#faire-accélérer-la-balle)
[Le carrefour Godot](#le-carrefour-godot)
[Insérer une musique dans un niveau](#insérer-une-musique-dans-un-niveau)
[Faire un bruit au clic sur bouton début](#faire-un-bruit-au-clic-sur-bouton-début)
[Faire un bruit au game over](#faire-un-bruit-au-game-over)
[Faire un bruit à l’impact d’une balle](#faire-un-bruit-à-limpact-dune-balle)
[Faire une trainée à la balle](#faire-une-trainée-à-la-balle)
[Effet impact d’une balle](#effet-impact-dune-balle)
[Effet audio dynamique sur le menu pause](#effet-audio-dynamique-sur-le-menu-pause)
[Effet audio dynamique : diminuer l’importance de la musique quand un effet sonore joue](#effet-audio-dynamique-diminuer-limportance-de-la-musique-quand-un-effet-sonore-joue)
[Pouvoir configurer le nombre de vies d’une brique](#pouvoir-configurer-le-nombre-de-vies-dune-brique)
[Changer la couleur de la brique en fonction de sa vie](#changer-la-couleur-de-la-brique-en-fonction-de-sa-vie)
[Faire descendre les briques au fil du temps](#faire-descendre-les-briques-au-fil-du-temps)
[Faire perdre la partie si une brique sort du terrain](#faire-perdre-la-partie-si-une-brique-sort-du-terrain)
[Pouvoir de ralentissement](#pouvoir-de-ralentissement)
[Bruit lorsqu’un pouvoir est récupéré](#bruit-lorsquun-pouvoir-est-récupéré)
[Afficher le nom du pouvoir lorsqu’il est récupéré](#afficher-le-nom-du-pouvoir-lorsquil-est-récupéré)
[Effet de récupération de pouvoir](#effet-de-récupération-de-pouvoir)
[Pouvoir de vie/balles supplémentaires](#pouvoir-de-vieballes-supplémentaires)
[Pouvoir de feu](#pouvoir-de-feu)
[Effet de flamme](#effet-de-flamme)
[Pouvoir électrique](#pouvoir-électrique)
[Effet électrique](#effet-électrique)
[Pouvoir laser](#pouvoir-laser)
[Effet d’éruption de la raquette](#effet-déruption-de-la-raquette)
[Pouvoir balle spectrale](#pouvoir-balle-spectrale)
[Faire un nouveau pouvoir de balle](#faire-un-nouveau-pouvoir-de-balle)
[Exporter le jeu au format linux](#exporter-le-jeu-au-format-linux)
[Exporter le jeu au format Windows](#exporter-le-jeu-au-format-windows)
[Exporter pour le web](#exporter-pour-le-web)
[Exporter pour Android](#exporter-pour-android)
[Faire un obstacle avec une nouvelle forme](#faire-un-obstacle-avec-une-nouvelle-forme)
[Faire une brique avec une nouvelle forme](#faire-une-brique-avec-une-nouvelle-forme)
[Compter et afficher le score](#compter-et-afficher-le-score)
[Collectibles qui donne des points](#collectibles-qui-donne-des-points)
[Pouvoir agrandissement raquette](#pouvoir-agrandissement-raquette)
[Malus diminution taille de raquette](#malus-diminution-taille-de-raquette)
[Choisir la couleur de la raquette](#choisir-la-couleur-de-la-raquette)
[Choisir un pseudo](#choisir-un-pseudo)
[Afficher le pseudo en jeu](#afficher-le-pseudo-en-jeu)
[Leaderboard](#leaderboard)
[Passer au niveau suivant une fois un niveau terminé](#passer-au-niveau-suivant-une-fois-un-niveau-terminé)
[Faire une carte de niveaux interactive](#faire-une-carte-de-niveaux-interactive)
[Afficher une jauge de balles](#afficher-une-jauge-de-balles)
[Ressources et références](#ressources-et-références)
